% load S_re and S_im
close all
clear
clc

fs=2048;
modstr='';

S_re=load('../data/S_re.txt');
S_im=load('../data/S_im.txt');

S=S_re + 1j*S_im;

%Plot SCD
[Ymax Xmax] = size(S);

ssf=(-Ymax/2:Ymax/2-1)*fs/Ymax;
alphav = (1:Xmax)*fs/Xmax;

figure1 = figure;
axes1 = axes('Parent',figure1);
view(axes1,[37.5 36]);
grid(axes1,'on');
hold(axes1,'all');

xlim(axes1,[0 fs]);
ylim(axes1,[-0.5*fs 0.5*fs]);
mesh(alphav,ssf,abs(S),'Parent',axes1)
title( 'SCD' );
xlabel('Alpha (Hz)'); ylabel('Frequency (Hz)'); zlabel('SCD');


% Plot alpha profile
perfil=zeros(1,Xmax);
for alpha=1:Xmax
    perfil(alpha) = max( S(:,alpha) );
end

perfilnorm=perfil/max(perfil);
perfilnorm(isnan(perfilnorm))=0;

figure2 = figure;
axes2 = axes('Parent',figure2);
xlim(axes2,[0 fs]);
box(axes2,'on');
hold(axes2,'all');
plot( (1:Xmax)*fs/Xmax, abs(perfilnorm), 'Parent', axes2)
title( 'Alpha Profile' );
xlabel('Alpha (Hz)'); ylabel('SCD');
